<?php

namespace ArrayType;

use \WsdlToPhp\PackageBase\AbstractStructArrayBase;

/**
 * This class stands for ArrayOfWebSiparis ArrayType
 * Meta informations extracted from the WSDL
 * - nillable: true
 * - type: tns:ArrayOfWebSiparis
 * @subpackage Arrays
 */
class ArrayOfWebSiparis extends AbstractStructArrayBase
{
    /**
     * The WebSiparis
     * Meta informations extracted from the WSDL
     * - maxOccurs: unbounded
     * - minOccurs: 0
     * - nillable: true
     * @var \StructType\WebSiparis[]
     */
    public $WebSiparis;
    /**
     * Constructor method for ArrayOfWebSiparis
     * @uses ArrayOfWebSiparis::setWebSiparis()
     * @param \StructType\WebSiparis[] $webSiparis
     */
    public function __construct(array $webSiparis = array())
    {
        $this
            ->setWebSiparis($webSiparis);
    }
    /**
     * Get WebSiparis value
     * An additional test has been added (isset) before returning the property value as
     * this property may have been unset before, due to the fact that this property is
     * removable from the request (nillable=true+minOccurs=0)
     * @return \StructType\WebSiparis[]|null
     */
    public function getWebSiparis()
    {
        return isset($this->WebSiparis) ? $this->WebSiparis : null;
    }
    /**
     * Set WebSiparis value
     * This property is removable from request (nillable=true+minOccurs=0), therefore
     * if the value assigned to this property is null, it is removed from this object
     * @throws \InvalidArgumentException
     * @param \StructType\WebSiparis[] $webSiparis
     * @return \ArrayType\ArrayOfWebSiparis
     */
    public function setWebSiparis(array $webSiparis = array())
    {
        foreach ($webSiparis as $arrayOfWebSiparisWebSiparisItem) {
            // validation for constraint: itemType
            if (!$arrayOfWebSiparisWebSiparisItem instanceof \StructType\WebSiparis) {
                throw new \InvalidArgumentException(sprintf('The WebSiparis property can only contain items of \StructType\WebSiparis, "%s" given', is_object($arrayOfWebSiparisWebSiparisItem) ? get_class($arrayOfWebSiparisWebSiparisItem) : gettype($arrayOfWebSiparisWebSiparisItem)), __LINE__);
            }
        }
        if (is_null($webSiparis) || (is_array($webSiparis) && empty($webSiparis))) {
            unset($this->WebSiparis);
        } else {
            $this->WebSiparis = $webSiparis;
        }
        return $this;
    }
    /**
     * Add item to WebSiparis value
     * @throws \InvalidArgumentException
     * @param \StructType\WebSiparis $item
     * @return \ArrayType\ArrayOfWebSiparis
     */
    public function addToWebSiparis(\StructType\WebSiparis $item)
    {
        // validation for constraint: itemType
        if (!$item instanceof \StructType\WebSiparis) {
            throw new \InvalidArgumentException(sprintf('The WebSiparis property can only contain items of \StructType\WebSiparis, "%s" given', is_object($item) ? get_class($item) : gettype($item)), __LINE__);
        }
        $this->WebSiparis[] = $item;
        return $this;
    }
    /**
     * Returns the current element
     * @see AbstractStructArrayBase::current()
     * @return \StructType\WebSiparis|null
     */
    public function current()
    {
        return parent::current();
    }
    /**
     * Returns the indexed element
     * @see AbstractStructArrayBase::item()
     * @param int $index
     * @return \StructType\WebSiparis|null
     */
    public function item($index)
    {
        return parent::item($index);
    }
    /**
     * Returns the first element
     * @see AbstractStructArrayBase::first()
     * @return \StructType\WebSiparis|null
     */
    public function first()
    {
        return parent::first();
    }
    /**
     * Returns the last element
     * @see AbstractStructArrayBase::last()
     * @return \StructType\WebSiparis|null
     */
    public function last()
    {
        return parent::last();
    }
    /**
     * Returns the element at the offset
     * @see AbstractStructArrayBase::offsetGet()
     * @param int $offset
     * @return \StructType\WebSiparis|null
     */
    public function offsetGet($offset)
    {
        return parent::offsetGet($offset);
    }
    /**
     * Returns the attribute name
     * @see AbstractStructArrayBase::getAttributeName()
     * @return string WebSiparis
     */
    public function getAttributeName()
    {
        return 'WebSiparis';
    }
    /**
     * Method called when an object has been exported with var_export() functions
     * It allows to return an object instantiated with the values
     * @see AbstractStructArrayBase::__set_state()
     * @uses AbstractStructArrayBase::__set_state()
     * @param array $array the exported values
     * @return \ArrayType\ArrayOfWebSiparis
     */
    public static function __set_state(array $array)
    {
        return parent::__set_state($array);
    }
    /**
     * Method returning the class name
     * @return string __CLASS__
     */
    public function __toString()
    {
        return __CLASS__;
    }
}
